## org.hibernate.cache
Interface QueryResultsRegion

All Superinterfaces:
  GeneralDataRegion, Region

All Known Implementing Classes:
  QueryResultsRegionAdapter, QueryResultsRegionImpl

    public interface QueryResultsRegion

extends GeneralDataRegion

Defines the contract for a cache region which will specifically be used to store query results.

Author:
  Steve Ebersole

Method Summary

Methods inherited from interface org.hibernate.cache.GeneralDataRegion
`evict, evictAll, get, put`

Methods inherited from interface org.hibernate.cache.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.